Skip to content

Stable API tag

tokens

API token lifecycle

2 paths · 4 operations

/v1/tokens

get

List API tokens for the calling user

Operation ID
listTokens
Authentication
Bearer token
Request body
None

Parameters: none declared.

Response codes

200 · 400 · 401 · 403 · 404 · 409 · 429

post

Issue an API token

Operation ID
issueToken
Authentication
Bearer token
Request body
Present · required

Parameters: none declared.

Response codes

201 · 400 · 401 · 403 · 404 · 409 · 429

/v1/tokens/{id}

post

Rotate an API token (issue new secret, revoke old)

Operation ID
rotateToken
Authentication
Bearer token
Request body
None
Parameters
NameInRequiredType
idpathyesstring · uuid

Response codes

200 · 400 · 401 · 403 · 404 · 409 · 429

delete

Revoke an API token

Operation ID
revokeToken
Authentication
Bearer token
Request body
None
Parameters
NameInRequiredType
idpathyesstring · uuid

Response codes

204 · 400 · 401 · 403 · 404 · 409 · 429